# Function prepareBuildDir

- prepareBuildDir(
  buildDir: string,
  templateDir: string,
  fcmEnabled: boolean,
  backgroundFetchEnabled: boolean,
  ): void

  copy saltcorn-mobile-app as a template to buildDir and install the capacitor and cordova modules to node_modules (cap sync will be run later)

  #### Parameters

  - buildDir: string

    directory where the app will be build

  - templateDir: string

    directory of the template code that will be copied to 'buildDir'

  - fcmEnabled: boolean

    is Firebase Cloud Messaging enabled, then add "@capacitor/push-notifications"

  - backgroundFetchEnabled: boolean

  #### Returns void

  - Defined in utils/common-build-utils.ts:35